%define plibdir %(pkg-config evolution-shell --variable=privlibdir 2>/dev/null)

Name: evolution-connector
Version: 1.4.7
Release: 5
License: GPL
Group: Applications/Productivity
URL:  http://ftp.ximian.com/pub/source/evolution
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: ximian-connector-%{version}.tar.gz
Patch0: ximian-connector-1.4.7-debrand.patch
BuildRequires: evolution < 1.5
BuildRequires: evolution-devel < 1.5 
BuildRequires: openldap-devel
Requires: evolution < 1.5
Requires: openldap 
Summary: Evolution plugin to interact with MS Exchange Server

%description
The connector enables added functionality to Evolution when used with a 
Microsoft Exchange Server.

%prep

%setup -q -n ximian-connector-%{version}
%patch0 -p1 -b .debrand

%build

%configure --with-open-ldap=yes --with-static-ldap=no
make LDFLAGS="-rpath %{plibdir}"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/apps_evolution_exchange.schemas >/dev/null

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/apps_evolution_exchange.schemas >/dev/null || :

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS docs/active-directory
%doc docs/autoconfig docs/debug docs/delegates docs/forms
%doc docs/forms-based-auth docs/freebusy docs/http
%doc docs/icalendar docs/mail docs/mapi-properties docs/non-ipm-subtree
%doc docs/ntlm docs/openldap-ntlm.diff docs/README docs/security
%doc docs/sending-mail docs/subscriptions docs/voting
%doc docs/ietf/*.txt
%{_sysconfdir}/gconf/schemas/apps_evolution_exchange.schemas
%{_bindir}/ximian-connector-setup
%{_libdir}/bonobo/servers/GNOME_Evolution_Exchange_Storage.server
%{_libdir}/evolution/1.4/camel-providers/libcamelexchange.*
%{_libexecdir}/evolution/1.4/evolution-exchange-storage
%{_datadir}/evolution/1.4/images/connector.png
%{_datadir}/evolution/1.4/images/exchange-delegates-48.png
%{_datadir}/evolution/1.4/images/exchange-oof-48.png
%{_datadir}/locale/de/LC_MESSAGES/ximian-connector-1.4.mo
%{_datadir}/ximian-connector/1.4/glade/exchange-*.glade
%{_datadir}/ximian-connector/1.4/images/connector.png

%changelog
* Wed Jun 23 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Fri Jun 18 2004 David Malcolm <dmalcolm@redhat.com> - 1.4.7-4
- replace Ximian with Evolution in human-visible strings

* Fri Jun 18 2004 David Malcolm <dmalcolm@redhat.com> - 1.4.7-3
- Replaced ldconfig hackery with -rpath and added GConf support to postun and preun tags, based on work by <ville.skytta@iki.fi> at fedora.us

* Thu May 13 2004 David Malcolm <dmalcolm@redhat.com> - 1.4.7-1
- downgrade to version 1.4.7 for now; add various open-ldap requirements and configuration options

* Thu May 13 2004 David Malcolm <dmalcolm@redhat.com> - 1.4.7.1-1
- updated version to 1.4.7.1

* Wed May 12 2004 David Malcolm <dmalcolm@redhat.com> - 1.4.7-1
- added ldconfig foo; build requires evolution-devel

* Tue May 11 2004 Tom "spot" Callaway <tcallawa@redhat.com>
- initial package
